View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001095Ecere SDKidepublic2015-03-24 05:332016-08-04 21:02
Reporterjonaspm 
Assigned Tojerome 
PriorityimmediateSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64:windowsOSWindowsOS Version7
Product Version0.44.10 64 
Target Version0.44.15Fixed in Version0.44.15 
Summary0001095: Crash when writing 'this.'
DescriptionEcere SDK crashes just after writing a dot next to 'this' after any:

this, caption = $"Test", position = { 312, 88 };

Example:

Button button1
   {
      this, caption = $"Test", position = { 312, 88 };

      this. // <- THIS IS WHERE THE CRASH HAPPENS

      bool NotifyClicked(Button button, int x, int y, Modifiers mods)
      {

         return true;
      }
   };
Steps To ReproduceButton button1
   {
      this, caption = $"Test", position = { 312, 88 };
      // HERE IS WHERE DE BUG HAPPENS, JUST TRY TYPING A DOT NEXT TO 'this' BELOW:
      this // <- WRITE A DOT '.'

      bool NotifyClicked(Button button, int x, int y, Modifiers mods)
      {

         return true;
      }
   };
TagsNo tags attached.
Attached Files? file icon form1.ec [^] (629 bytes) 2015-03-24 05:33

- Relationships

-  Notes
(0001402)
jerome (administrator)
2016-08-03 13:04

Fixed by:
https://github.com/ecere/ecere-sdk/commit/b09f87f46eb977f9beb99dc408af4f6304d57c8e [^]
(0001428)
jerome (administrator)
2016-08-04 21:02

Closed for 0.44.15

https://github.com/ecere/ecere-sdk/commit/37ac4ab4b983a5764f76d7fd77f6658924da8be0 [^]

- Issue History
Date Modified Username Field Change
2015-03-24 05:33 jonaspm New Issue
2015-03-24 05:33 jonaspm File Added: form1.ec
2015-03-24 05:59 jerome Priority normal => immediate
2015-03-24 05:59 jerome Status new => confirmed
2015-03-24 05:59 jerome Target Version => 0.44.12 Fixes
2016-04-19 05:27 jerome Target Version 0.44.12 Fixes => 0.44.15
2016-07-03 20:57 jerome Assigned To => jerome
2016-07-03 20:57 jerome Status confirmed => assigned
2016-08-03 13:04 jerome Note Added: 0001402
2016-08-03 13:04 jerome Status assigned => resolved
2016-08-03 13:04 jerome Fixed in Version => 0.44.15
2016-08-03 13:04 jerome Resolution open => fixed
2016-08-04 21:02 jerome Note Added: 0001428
2016-08-04 21:02 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker